<?php
/*
Plugin Name: نوشته‌های مرتبط هوشمند پیشرفته
Plugin URI: https://gphp.ir
Description: قوی‌ترین افزونه برای اضافه کردن نوشته های مرتبط به صورت هوشمند به نوشته ها و برگه ها در وردپرس نسخه حرفه‌ای فقط در جی پی اچ پی
Author: IntellyWP
Author URI: http://intellywp.com/
Email: support@intellywp.com
Version: 2.2.4
*/

add_action( 'plugins_loaded', 'inline_related_post_radir' );
define('IRPP_PLUGIN_PREFIX', 'IRPP_');
define('IRPP_PLUGIN_FILE',__FILE__);
define('IRPP_PLUGIN_SLUG', 'intelly-related-posts-pro');
define('IRPP_PLUGIN_NAME', 'Inline Related Posts PRO');
define('IRPP_PLUGIN_VERSION', '2.2.4');
define('IRPP_PLUGIN_AUTHOR', 'IntellyWP');
define('IRPP_PLUGIN_ROOT', dirname(__FILE__).'/');
define('IRPP_PLUGIN_IMAGES', plugins_url( 'assets/images/', __FILE__ ));
define('IRPP_PLUGIN_ASSETS', plugins_url( 'assets/', __FILE__ ));

define('IRPP_LOGGER', FALSE);
define('IRPP_DEBUG_BLOCK', FALSE);
define('IRPP_DISABLE_RELATED', FALSE);
define('IRPP_QUERY_POSTS_OF_TYPE', 1);
define('IRPP_QUERY_POST_TYPES', 2);
define('IRPP_QUERY_CATEGORIES', 3);
define('IRPP_QUERY_TAGS', 4);

define('IRPP_ENGINE_SEARCH_CATEGORIES_TAGS', 0);
define('IRPP_ENGINE_SEARCH_CATEGORIES', 1);
define('IRPP_ENGINE_SEARCH_TAGS', 2);

define('IRPP_PLUGIN_URI', plugins_url('/', __FILE__ ));
define('IRPP_INTELLYWP_SITE', 'http://www.intellywp.com/');
define('IRPP_INTELLYWP_ENDPOINT', IRPP_INTELLYWP_SITE.'wp-content/plugins/intellywp-manager/data.php');
define('IRPP_PAGE_FAQ', IRPP_INTELLYWP_SITE.IRPP_PLUGIN_SLUG);
define('IRPP_PAGE_WORDPRESS', 'https://wordpress.org/plugins/'.IRPP_PLUGIN_SLUG.'/');
define('IRPP_PAGE_PREMIUM', IRPP_INTELLYWP_SITE.IRPP_PLUGIN_SLUG);
define('IRPP_PAGE_SETTINGS', admin_url().'options-general.php?page='.IRPP_PLUGIN_SLUG);
define('INLINE_PATH', plugin_dir_path(__FILE__));

define('IRPP_TAB_SETTINGS', 'settings');
define('IRPP_TAB_SETTINGS_URI', IRPP_PAGE_SETTINGS.'&tab='.IRPP_TAB_SETTINGS);
define('IRPP_TAB_ABOUT', 'about');
define('IRPP_TAB_ABOUT_URI', IRPP_PAGE_SETTINGS.'&tab='.IRPP_TAB_ABOUT);
define('IRPP_TAB_DOCS', 'docs');
define('IRPP_TAB_DOCS_URI', 'http://support.intellywp.com/category/58-inline-related-posts');
define('IRPP_TAB_WHATS_NEW', 'whatsnew');
define('IRPP_TAB_WHATS_NEW_URI', IRPP_PAGE_SETTINGS.'&tab='.IRPP_TAB_WHATS_NEW);
include_once(dirname(__FILE__).'/autoload.php');
irpp_include_php(dirname(__FILE__).'/includes/');


function inline_related_post_radir() {
  $plugin_rel_path = plugin_basename( INLINE_PATH ).'/languages';
  load_plugin_textdomain( 'inline_related', false, $plugin_rel_path );
}


global $irpp;
$irpp=new IRPP_Singleton();
$irpp->init();